#!/bin/bash

cargo test --release --features=fast -- --nocapture stats_test_trust_levels > trust_levels.log
cargo test --release --features=fast -- --nocapture stats_test_invitations > invitations.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_05 > check_blockage05.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_010 > check_blockage010.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_20 > check_blockage20.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_25 > check_blockage25.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_30 > check_blockage30.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_35 > check_blockage35.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_40 > check_blockage40.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_45 > check_blockage45.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_50 > check_blockage50.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_55 > check_blockage55.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_60 > check_blockage60.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_65 > check_blockage65.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_70 > check_blockage70.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_75 > check_blockage75.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_80 > check_blockage80.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_85 > check_blockage85.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_90 > check_blockage90.log
cargo test --release --features=fast -- --nocapture stats_test_percent_check_blockage_95 > check_blockage95.log
cargo test release --features=fast -- --nocapture stats_test_percent_check_blockage_100 > check_blockage100.log
echo "Completed all tests, now parsing results"
mv *.log Parsing-results
cd Parsing-results
./parse_data.sh
echo "Parse results are in the Parsing-results folder."

